| Tilt Five NDK |

Public Member Functions | Static Public Attributes
tiltfive::details::ErrorCategory< Dummy > Struct Template Reference
Inheritance diagram for tiltfive::details::ErrorCategory< Dummy >:
[legend]
Collaboration diagram for tiltfive::details::ErrorCategory< Dummy >:
[legend]

## Public Member Functions
auto | name () const noexcept -> const char *override
auto | message (int ev) const -> std::string override

## Static Public Attributes
static const ErrorCategory | kSingleton

## Detailed Description

template<typename Dummy>
struct tiltfive::details::ErrorCategory< Dummy >

Definition at line 136 of file errors.hpp.

## Member Function Documentation

## ◆ message()

template<typename Dummy >

auto tiltfive::details::ErrorCategory< Dummy >::message | ( | int | ev | ) | const -> std::string
| inline override

Definition at line 141 of file errors.hpp.

## ◆ name()

template<typename Dummy >

auto tiltfive::details::ErrorCategory< Dummy >::name | ( |  | ) | const -> const char*
| inline override noexcept

Definition at line 137 of file errors.hpp.

## Field Documentation

## ◆ kSingleton

template<typename Dummy >

const ErrorCategory< Dummy > tiltfive::details::ErrorCategory< Dummy >::kSingleton
| static

Definition at line 145 of file errors.hpp.

The documentation for this struct was generated from the following file:

- errors.hpp